Bug 1028329 - Refresh button does not refresh metric data on autogroup
Refresh button does not refresh metric data on autogroup
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring -- Other (Show other bugs)
JON 3.2
Unspecified Unspecified
low Severity low
: ER02
: JON 3.3.0
Assigned To: Jirka Kremser
Armine Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 03:41 EST by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 08:59:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpu_metrics_initial (158.35 KB, application/octet-stream)
2014-09-04 08:13 EDT, Armine Hovsepyan
no flags Details
cpu_metrics_refresh1m (162.24 KB, application/octet-stream)
2014-09-04 08:13 EDT, Armine Hovsepyan
no flags Details
cpu_metrics_noRefreshInterval (161.80 KB, application/octet-stream)
2014-09-04 08:14 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Libor Zoubek 2013-11-08 03:41:38 EST
Description of problem:

Refresh button on autogroup metrics page refreshes only autogroup members. As on resource's metric page it refreshes values, I'd expect same behaviour on auto-group level.

Version-Release number of selected component (if applicable):
JON 3.2.0.ER5

How reproducible: always


Steps to Reproduce:
1. Go to metric tab of any autogroup with some enabled schedules
2. Hit Refresh

Actual results: Only autogroup members are refreshed, metric data are not affected, data are refreshed only periodically.


Expected results: refresh should refresh metric values too


Additional info:
Comment 2 Jirka Kremser 2014-08-25 06:12:14 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/f39caccd9
time:    2014-08-25 12:11:29 +0200
commit:  f39caccd9f06d4fd48222a0474607f3c9ece462c
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1028329] - Refresh button does not refresh metric data on autogroup
         - The refresh button for GroupMembersHealthView will invoke the
         refresh also on the GroupMeasurementTableView component.
Comment 3 Thomas Segismont 2014-08-28 05:27:14 EDT
Merged into release/jon3.3.x

commit 58aabb31c4bd80398ee817f6c9e7f462e48fc569
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Mon Aug 25 12:11:22 2014 +0200
    
    (cherry picked from commit f39caccd9f06d4fd48222a0474607f3c9ece462c)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
Comment 4 Simeon Pinder 2014-09-03 16:31:29 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194
Comment 5 Armine Hovsepyan 2014-09-04 08:12:20 EDT
verified in JON 3.3 ER02
screenshots-attached
Comment 6 Armine Hovsepyan 2014-09-04 08:13:27 EDT
Created attachment 934396 [details]
cpu_metrics_initial
Comment 7 Armine Hovsepyan 2014-09-04 08:13:59 EDT
Created attachment 934397 [details]
cpu_metrics_refresh1m
Comment 8 Armine Hovsepyan 2014-09-04 08:14:27 EDT
Created attachment 934399 [details]
cpu_metrics_noRefreshInterval

Note You need to log in before you can comment on or make changes to this bug.